package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type PlanTrack struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
	SupplierId primitive.ObjectID `bson:"supplierId,omitempty" json:"supplierId"`
	//名字
	Name string `bson:"name,omitempty" json:"name"`
	//规格
	PlanIds []string `bson:"planIds,omitempty" json:"planIds"`

	// 查询时动态返回给前端的数据 数据库不记录
	UserInfo interface{}    `bson:"userInfo,omitempty" json:"userInfo"`
	Plans    []*ProductPlan `bson:"plans,omitempty" json:"plans"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
